<template>
  <div class="call">
    <div class="title">
      <span>接口调用情况</span>
      <img src="../../../assets/img/zonlan (9).png" alt="" />
    </div>
    <div class="content">
      <div class="rollTitle">
        <el-row>
          <el-col :span="4">序号</el-col>
          <el-col :span="10">名称</el-col>
          <el-col :span="10">调用次数</el-col>
        </el-row>
      </div>
      <div class="table_box">
        <el-row
          type="flex"
          align="center"
          justify="center"
          v-for="(item, i) in listData"
          :key="i"
        >
          <el-col :span="3"
            ><span :class="Number(i + 1) <= 3 ? 'left_orange' : 'left_blue'">{{
              i + 1
            }}</span></el-col
          >
          <el-col :span="11" style="color: #fedc85">{{
            item.SERVICE_NAME
          }}</el-col>
          <el-col :span="10">{{ item.USECOUNT }}</el-col>
        </el-row>
      </div>
    </div>
  </div>
</template>

<script>
import { constructionData } from "../../../utils/api.js";
export default {
  //import引入的组件需要注入到对象中才能使用
  components: {},
  data() {
    //这里存放数据
    return {
      listData: [],
      param: {
        TYPE: 11,
      },
    };
  },
  //方法集合
  methods: {
    async construction() {
      let { data: dt } = await constructionData(this.param);
      if (dt.errno !== 200) {
        return this.$message.error(dt.errmsg);
      }
      this.listData = dt.varList;
    },
  },
  mounted() {},
  created() {
    this.construction();
  },
};
</script>
<style lang="less" scoped>
//@import url(); 引入公共css类
.call {
  overflow: hidden;
  width: 100%;
  height: 49%;
  margin-top: 1%;
  box-sizing: border-box;
  background: rgba(8, 32, 58, 0.7);
  .title {
    width: 100%;
    position: relative;
    img {
      width: 100%;
    }
    span {
      font-size: 78px;
      font-weight: 400;
      color: #ffe86b;
      background: linear-gradient(0deg, #bce7ff 0%, #69efff 98.6572265625%);
      -webkit-background-clip: text;
      -webkit-text-fill-color: transparent;
      position: absolute;
      left: 50%;
      top: 0;
      transform: translateX(-50%);
    }
  }
  .content {
    height: 90%;
    .rollTitle {
      font-size: 50px;
      color: #ffffff;
      text-align: center;
      margin-top: 50px;
    }
    .table_box {
      overflow: auto;
      // overflow-x: hidden;
      // overflow-y: scroll;
      height: 85%;
      .el-row {
        height: 104px;
        margin: 80px 0;
        background: url("../../../assets/img/shujuguanli/tablebg.png") no-repeat
          center;
        background-size: 100% 100%;
        // line-height: 50px;
        box-sizing: border-box;

        .el-col {
          font-size: 45px;
          color: #ffffff;
          // line-height: 30px;
          align-items: center;
          text-align: center;
          .left_orange {
            display: inline-block;
            width: 124px;
            height: 124px;
            text-align: center;
            line-height: 124px;
            background: url("../../../assets/img/shujuguanli/numbg_yellow.png")
              no-repeat center;
            background-size: 100% 100%;
          }
          .left_blue {
            display: inline-block;
            width: 124px;
            height: 124px;
            text-align: center;
            line-height: 124px;
            background: url("../../../assets/img/shujuguanli/numbg_green.png")
              no-repeat center;
            background-size: 100% 100%;
          }
        }
      }
    }
    .table_box::-webkit-scrollbar {
      display: none;
    }
  }
}
@media only screen and (max-width: 2560px) {
  .call {
    height: 5%;
    overflow: visible;
    margin-top: 33%;
    background: transparent;
    .content {
      height: 100%;
      .table_box {
        height: 50%;
        .el-row {
          height: calc(104px * 2.5);
          margin: calc(80px * 2.5);

          .el-col {
            .left_orange {
              width: calc(124px * 2);
              height: calc(124px * 2);

              line-height: calc(124px * 2);
            }
            .left_blue {
              width: calc(124px * 2);
              height: calc(124px * 2);

              line-height: calc(124px * 2);
            }
          }
        }
      }
      .table_box::-webkit-scrollbar {
        display: none;
      }
    }
  }
}
</style>
